package de.uni_passau.fim.PADAS.group3.DataDash.model;

import java.util.List;
import java.util.UUID;
import java.sql.Date;
import org.springframework.data.jpa.repository.JpaRepository;

public interface dataRepository extends JpaRepository<Dataset, UUID>{

    List<Dataset> findByTitle(String title);
    List<Dataset> findByTitleLike(String title);
    List<Dataset> findByAuthorLike(String author);
    List<Dataset> findByType(Type type);
    List<Dataset> findByAuthor(String author);
    List<Dataset> findByAbstLike(String abst);
    List<Dataset> findByDescriptionLike(String description);
    List<Dataset> findByCategories(String[] categories);
    List<Dataset> findByRaitingGreaterThan(float raiting);
    List<Dataset> findByVotesGreaterThan(int votes);
    List<Dataset> findByDateAfter(Date date);
    List<Dataset> findByDateBefore(Date date);
    List<Dataset> findByDateBetween(Date date1, Date date2);
    
}