package de.uni_passau.fim.PADAS.group3.DataDash.model;

import java.sql.Date;
import java.util.List;

import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;



@Configuration
public class LoadDummyDatabase {
    
    private static final org.slf4j.Logger log = LoggerFactory.getLogger(LoadDummyDatabase.class);

    @Bean  
    CommandLineRunner initDatabase(dataRepository repository) {

      

        return args -> {
        for (int i = 0; i < 1000; i++) {
            Dataset dataset = new Dataset("Title" + i, "Abst" + i, "Description" + i, "Author" + i, new String[]{"Category" + i}, Type.API);
            repository.save(dataset);
            log.info("Preloading" + repository.save(dataset));
        }
        List<Dataset> s = repository.findByTitleLike("%Title%");
        log.info("Found Entry with ID: " + s.get(1).getId());};
    }


}